Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.handler.management
Class ContextHandlerMBean

    java.lang.Object
      org.mortbay.management.ObjectMBean
          org.mortbay.jetty.handler.management.ContextHandlerMBean

All Implemented Interfaces:
  javax.management.DynamicMBean

Direct Known Subclasses:
  WebAppContextMBean

    public class ContextHandlerMBean

extends ObjectMBean

Field Summary

Fields inherited from class org.mortbay.management.ObjectMBean
`_managed`

Constructor Summary
`ContextHandlerMBean(java.lang.Object managedObject)`

Method Summary
`java.util.Map` | `getContextAttributes()`
`java.lang.String` | `getObjectNameBasis()`
`void` | `removeContextAttribute(java.lang.String name)`
`void` | `setContextAttribute(java.lang.String name, java.lang.Object value)`
`void` | `setContextAttribute(java.lang.String name, java.lang.String value)`

Methods inherited from class org.mortbay.management.ObjectMBean
`defineAttribute, getAttribute, getAttributes, getManagedObject, getMBeanContainer, getMBeanInfo, getObjectName, invoke, mbeanFor, setAttribute, setAttributes, setMBeanContainer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextHandlerMBean

    public ContextHandlerMBean(java.lang.Object managedObject)

Method Detail

### getObjectNameBasis

    public java.lang.String getObjectNameBasis()

  Overrides:
    `getObjectNameBasis` in class `ObjectMBean`

### getContextAttributes

    public java.util.Map getContextAttributes()

### setContextAttribute

    public void setContextAttribute(java.lang.String name,
                                    java.lang.Object value)

### setContextAttribute

    public void setContextAttribute(java.lang.String name,
                                    java.lang.String value)

### removeContextAttribute

    public void removeContextAttribute(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.